KWIN_REGISTER_POSITION_EVENT_FUNC(3)

FUNCTION
kwin_register_position_event_func - Register position event callback.

SYNOPSIS
#include <karma_kwin.h>

KCallbackFunc kwin_register_position_event_func

(KPixCanvas canvas, flag (*func) (), void *f_info)

DESCRIPTION
This routine will register a position event function for a pixel canvas. The position event function will be called whenever a position event on the canvas has not been consumed. Many position event functions may be registered per canvas. The first function registered is the first function called upon a position event.

canvas
    The pixel canvas.

func
    The function that is called when a position event occurs. The prototype function is <-kwin_PROTO_position_func->.

f_info
    The initial arbitrary function information pointer.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/